Simulation
Get Archive Coverage
GET
/
v1
/
simulation
/
coverage
Get Archive Coverage
curl --request GET \
--url https://api.polysimulator.com/v1/simulation/coverage \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.polysimulator.com/v1/simulation/coverage"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.polysimulator.com/v1/simulation/coverage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bbo_confidence": "high",
"book_snapshot_coverage_pct": "100.00",
"condition_id": "0xabc123",
"hours": [
{
"bbo_confidence": "high",
"hour": "2026-08-04T18",
"verdict": "valid"
}
],
"hours_available": 1,
"hours_degraded": 0,
"hours_missing": 0,
"hours_quarantined": 0,
"leakage": {
"book_depth_available": true,
"data_source": "archive",
"fee_model": "polymarket_v2_taker",
"fill_model": "n/a",
"missing_periods": []
},
"min_coverage_pct": "80.00",
"settlement_known": true,
"settlement_source": "ctf",
"universe_eligible": true
}{
"error": "<string>",
"message": "<string>",
"details": {},
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {},
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {},
"request_id": "<string>",
"feature_key": "<string>",
"upgrade_url": "<string>",
"limit": 123
}{
"error": "<string>",
"message": "<string>",
"details": {},
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {},
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {},
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {},
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {},
"request_id": "<string>"
}Authorizations
Issue from /v1/keys (or admin-issued for enterprise tier).
Headers
Query Parameters
Required string length:
1 - 256Response
Successful Response
Available options:
high, medium, low, provisional Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get Archive Coverage
